{
  "name": "@craynic/qr-platba",
  "version": "2.0.0",
  "description": "Library to work with Czech QR payments",
  "main": "lib/index.js",
  "types": "lib/index.d.ts",
  "scripts": {
    "test": "jest --config jestconfig.json",
    "build": "tsc",
    "format": "prettier --write \"src/**/*.ts\"",
    "lint": "eslint src/",
    "prepare": "yarn build",
    "prepublishOnly": "yarn test && yarn lint",
    "preversion": "yarn lint",
    "version": "yarn format && git add -A src/",
    "postversion": "git push && git push --tags"
  },
  "repository": {
    "type": "git",
    "url": "git+https://gitlab.com/craynic.com/npmjs/czech-qr-platba.git"
  },
  "keywords": [
    "Czech",
    "CZ",
    "QR",
    "QR platba"
  ],
  "author": "Craynic, s.r.o.",
  "license": "MIT",
  "bugs": {
    "url": "https://gitlab.com/craynic.com/npmjs/czech-qr-platba/issues"
  },
  "homepage": "https://gitlab.com/craynic.com/npmjs/czech-qr-platba#readme",
  "devDependencies": {
    "@types/dinero.js": "1.9.4",
    "@types/jest": "29.5.14",
    "@types/lodash": "4.17.16",
    "@types/qrcode": "1.5.5",
    "@typescript-eslint/eslint-plugin": "8.26.1",
    "@typescript-eslint/parser": "8.26.1",
    "concurrently": "9.1.2",
    "eslint": "9.22.0",
    "jest": "29.7.0",
    "prettier": "3.5.3",
    "ts-jest": "29.2.6",
    "typescript": "5.8.2"
  },
  "files": [
    "lib/**/*"
  ],
  "dependencies": {
    "crc": "^4.3.2",
    "dinero.js": "^1.9.1",
    "ibantools": "^4.3.2",
    "lodash": "^4.17.21",
    "qrcode": "^1.5.3"
  },
  "packageManager": "yarn@1.22.22+sha512.a6b2f7906b721bba3d67d4aff083df04dad64c399707841b7acf00f6b133b7ac24255f2652fa22ae3534329dc6180534e98d17432037ff6fd140556e2bb3137e"
}
